Name:         stow
Version:      2.3.1
Release:    1%{?dist}

License:      GPLv3+
URL:          https://www.gnu.org/software/stow/stow.html
Summary:      Manage the installation of software packages from source
Source0:       https://ftp.gnu.org/gnu/stow/stow-%{version}.tar.bz2
BuildArch:    noarch

BuildRequires:  coreutils
BuildRequires:  gawk
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  sed
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(English)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Output)

%description
GNU Stow is a program for managing the installation of software packages,
keeping them separate (/usr/local/stow/emacs vs. /usr/local/stow/perl, for
example) while making them appear to be installed in the same place
(/usr/local). Software to ease the keeping track of software built from
source, making it easy to install, delete, move etc.

%package doc
Summary:    Documentation for Stow
Requires:   %{name} = %{version}-%{release}

%description doc
This package contains the documentation for GNU Stow.

%global moredocs %{_defaultdocdir}/stow-doc

%prep
%autosetup

%build
%configure --docdir=%{moredocs} --with-pmdir=%{perl_vendorlib}

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}%{_infodir}/dir

cd %{buildroot}%{moredocs}/
rm -f ChangeLog* README.md INSTALL.md version.texi

%check
make check

%files
%doc README.md AUTHORS ChangeLog NEWS THANKS TODO
%doc %{_mandir}/man8/stow*
%doc %{_infodir}/stow*
%license COPYING
%{_bindir}/*
%{perl_vendorlib}/Stow.pm
%{perl_vendorlib}/Stow/

%files doc
%docdir %{moredocs}
%dir %{moredocs}
%{moredocs}/manual.pdf
%{moredocs}/manual-single.html
%{moredocs}/manual-split/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-1
- initial build
